smartmontools在linux和windows环境下的安装和使用

在smartmontools的官方网站可以下载工具的安装包和开源代码,网址:https://www.smartmontools.org/

windows下的调试参考了:https://www.cnblogs.com/helloworldspace/p/6800741.html

1、linux下的安装和使用

在linux下有两种安装方法,

①直接通过yum在线安装:yum install smartmontools -y

②通过 source tarball 安装

下载源码包smartmontools-6.5.tar.gz,执行以下指令即可

 tar zxvf smartmontools-6.5.tar.gz
 cd smartmontools-6.5
 ./configure
 make
 sudo make install

 linux使用的基本指令:smartctl -a /dev/sda

2、windows下的安装和使用

 

在windows下可以直接安装,也可以 通过源码重新编译,

①直接用安装包安装使用

 windows下的使用方法为在cmd 命令行执行smartctl -a d:或者smartctl -a sdb或者smartctl -a /dev/pd1(pd1代表磁盘1)

在我的电脑上执行 smartctl -a c:会说参数错误,输入/dev/pd0却可以,还不知道为什么

②windows下修改代码重新编译

smartmontools必须使用MingW gcc at MSYS, 于是想把MingW的环境安装一下。

按照这个步骤来:http://blog.csdn.net/yangyangyang20092010/article/details/46350519 。

1.下载MinGW和MSYS,安装到c:/MinGW/mingw-64下面,msys整个文件夹也拷贝到这里。另外,需要安装一下autoconf, automake, perl。

2. 打开c:/MinGW/mingw-**/msys/msys.bat, 进入到smartmontools文件夹目录,

 先运行autogen.sh

 

然后(参考smartmontools源码里面的 INSTALL 文件)

 mkdir vctmp && cd vctmp
  ../configure [... any MinGW option set from above ...]
  make config-vc10

Configure 结束得到:

然后 make config-vc10:

 

好了,现在Windows需要的三个文件创建好了(config.h,smart*.rc,svnversion.h ),进入os_win32文件夹,用visual studio打开solution文件(*.sln)。分别编译工程,或者编译整个solution。

 

到此,环境搭建问题解决了。

代码可以编辑编译和运行了:

 

  • 2
    点赞
  • 10
    收藏
    觉得还不错? 一键收藏
  • 0
    评论
包涵以下版本的87个安装包: bind-libs-9.9.4-61.el7.x86_64.rpm bind-libs-lite-9.9.4-61.el7.x86_64.rpm bind-license-9.9.4-61.el7.noarch.rpm bind-utils-9.9.4-61.el7.x86_64.rpm compat-libcap1-1.10-7.el7.x86_64.rpm compat-libstdc++-33-3.2.3-72.el7.x86_64.rpm cpp-4.8.5-28.0.1.el7_5.1.x86_64.rpm elfutils-libelf-devel-0.160-1.el7.i686.rpm elfutils-libelf-devel-0.160-1.el7.x86_64.rpm elfutils-libelf-devel-static-0.160-1.el7.i686.rpm elfutils-libelf-devel-static-0.160-1.el7.x86_64.rpm gcc-4.8.5-28.0.1.el7_5.1.x86_64.rpm gcc-c++-4.8.5-28.0.1.el7_5.1.x86_64.rpm glibc-2.17-222.el7.x86_64.rpm glibc-2.17-78.el7.i686.rpm glibc-2.17-78.el7.x86_64.rpm glibc-common-2.17-222.el7.x86_64.rpm glibc-devel-2.17-222.el7.x86_64.rpm glibc-devel-2.17-78.el7.i686.rpm glibc-devel-2.17-78.el7.x86_64.rpm glibc-headers-2.17-222.el7.x86_64.rpm gssproxy-0.7.0-17.el7.x86_64.rpm kernel-container-3.10.0-0.0.0.2.el7.x86_64.rpm kernel-headers-3.10.0-862.9.1.el7.x86_64.rpm keyutils-1.5.8-3.el7.x86_64.rpm ksh-20120801-137.0.1.el7.x86_64.rpm libaio-devel-0.3.109-13.el7.x86_64.rpm libbasicobjects-0.1.1-29.el7.x86_64.rpm libcollection-0.7.0-29.el7.x86_64.rpm libdmx-1.1.3-3.el7.x86_64.rpm libevent-2.0.21-4.el7.x86_64.rpm libgcc-4.8.5-28.0.1.el7_5.1.x86_64.rpm libgomp-4.8.5-28.0.1.el7_5.1.x86_64.rpm libICE-1.0.9-9.el7.x86_64.rpm libini_config-1.3.1-29.el7.x86_64.rpm libmpc-1.0.1-3.el7.x86_64.rpm libnfsidmap-0.25-19.el7.x86_64.rpm libpath_utils-0.2.1-29.el7.x86_64.rpm libref_array-0.1.5-29.el7.x86_64.rpm libselinux-2.5-12.0.1.el7.x86_64.rpm libselinux-python-2.5-12.0.1.el7.x86_64.rpm libselinux-utils-2.5-12.0.1.el7.x86_64.rpm libsepol-2.5-8.1.el7.x86_64.rpm libSM-1.2.2-2.el7.x86_64.rpm libstdc++-4.8.5-28.0.1.el7_5.1.x86_64.rpm libstdc++-devel-4.8.5-28.0.1.el7_5.1.x86_64.rpm libtirpc-0.2.4-0.10.el7.x86_64.rpm libverto-libevent-0.2.5-4.el7.x86_64.rpm libX11-1.6.5-1.el7.x86_64.rpm libX11-common-1.6.5-1.el7.noarch.rpm libXau-1.0.8-2.1.el7.x86_64.rpm libxcb-1.12-1.el7.x86_64.rpm libXext-1.3.3-3.el7.x86_64.rpm libXi-1.7.9-1.el7.x86_64.rpm libXinerama-1.1.3-2.1.el7.x86_64.rpm libXmu-1.1.2-2.el7.x86_64.rpm libXrandr-1.5.1-2.el7.x86_64.rpm libXrender-0.9.10-1.el7.x86_64.rpm libXt-1.1.5-3.el7.x86_64.rpm libXtst-1.2.3-1.el7.x86_64.rpm libXv-1.0.11-1.el7.x86_64.rpm libXxf86dga-1.1.4-2.1.el7.x86_64.rpm libXxf86misc-1.0.3-7.1.el7.x86_64.rpm libXxf86vm-1.1.4-1.el7.x86_64.rpm lm_sensors-libs-3.4.0-4.20160601gitf9185e5.el7.x86_64.rpm mailx-12.5-19.el7.x86_64.rpm mpfr-3.1.1-4.el7.x86_64.rpm net-tools-2.0-0.22.20131004git.el7.x86_64.rpm nfs-utils-1.3.0-0.54.0.1.el7.x86_64.rpm oracle-rdbms-server-11gR2-preinstall-1.0-5.el7.x86_64.rpm policycoreutils-2.5-22.0.1.el7.x86_64.rpm psmisc-22.20-15.el7.x86_64.rpm quota-4.01-17.el7.x86_64.rpm quota-nls-4.01-17.el7.noarch.rpm rpcbind-0.2.0-44.el7.x86_64.rpm selinux-policy-3.13.1-192.0.3.el7_5.4.noarch.rpm selinux-policy-targeted-3.13.1-192.0.3.el7_5.4.noarch.rpm smartmontools-6.5-1.el7.x86_64.rpm sysstat-10.1.5-13.el7.x86_64.rpm tcp_wrappers-7.6-77.el7.x86_64.rpm unixODBC-2.3.1-10.el7.i686.rpm unixODBC-2.3.1-10.el7.x86_64.rpm unixODBC-devel-2.3.1-10.el7.i686.rpm unixODBC-devel-2.3.1-10.el7.x86_64.rpm unzip-6.0-19.el7.x86_64.rpm xorg-x11-utils-7.5-22.el7.x86_64.rpm xorg-x11-xauth-1.0.9-1.el7.x86_64.rpm 安装方法直接输入: rpm -ivh *.rpm --nodeps --force

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值